Bug 1163666 - Review Request: american-fuzzy-lop - Practical, instrumentation-driven fuzzer for binary formats
Summary: Review Request: american-fuzzy-lop - Practical, instrumentation-driven fuzzer...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Lutomirski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-13 09:10 UTC by Richard W.M. Jones
Modified: 2014-12-06 10:11 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-11-27 08:34:47 UTC
luto: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-11-13 09:10:25 UTC
Spec URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop.spec
SRPM URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop-0.45b-1.fc21.src.rpm
Description: Practical, instrumentation-driven fuzzer for binary formats
Fedora Account System Username: rjones

Comment 1 Richard W.M. Jones 2014-11-13 09:11:18 UTC
rpmlint output:

american-fuzzy-lop.src: W: spelling-error Summary(en_US) fuzzer -> fuzzier, fuzzes, fuzzed
american-fuzzy-lop.src: W: spelling-error %description -l en_US corpuses -> corpses, corpus's, corp uses
american-fuzzy-lop.src: W: spelling-error %description -l en_US fuzzers -> fuzzes, buzzers, Fuzzbuster
american-fuzzy-lop.src: W: spelling-error %description -l en_US afl -> fl, ail, aft
american-fuzzy-lop.x86_64: W: spelling-error Summary(en_US) fuzzer -> fuzzier, fuzzes, fuzzed
american-fuzzy-lop.x86_64: W: spelling-error %description -l en_US corpuses -> corpses, corpus's, corp uses
american-fuzzy-lop.x86_64: W: spelling-error %description -l en_US fuzzers -> fuzzes, buzzers, Fuzzbuster
american-fuzzy-lop.x86_64: W: no-documentation
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-showmap
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-g++
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-fuzz
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-gcc
3 packages and 0 specfiles checked; 0 errors, 12 warnings.

Comment 2 Richard W.M. Jones 2014-11-13 09:13:49 UTC
Back in a bit.  A scratch build is underway:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8126595
and I realized that I left out the documentation, so I'll
add that in a second revision later.

Comment 3 Richard W.M. Jones 2014-11-13 09:41:11 UTC
Update including documentation:

Spec URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop.spec
SRPM URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop-0.45b-1.fc21.src.rpm

Comment 4 Pádraig Brady 2014-11-13 10:06:22 UTC
It would be better to move the arch specific stuff to %build as it's better to allow anyone to %prep to generate code trees for searching etc.

The sed manipulations are a bit unusual. I see the Makefile
greps for USE_64BIT in the header, but you can override both
with these MAKEFLAGS: CONF_64BIT=1 -DUSE_64BIT

Same goes for the sed manipulation on Makefile, which
can also be set with BIN_PATH=...

Comment 5 Richard W.M. Jones 2014-11-13 11:51:07 UTC
Spec URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop.spec
SRPM URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop-0.45b-1.fc21.src.rpm

This update tidies up some of the things that Padraig
mentions in the previous comment.

Comment 6 Richard W.M. Jones 2014-11-13 11:55:29 UTC
Updated scratch build in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8127320

Comment 7 Andy Lutomirski 2014-11-13 17:26:19 UTC
Did replacing sed with -DUSE_64BIT not work?

I haven't checked yet, but should the 32-bit and 64-bit versions be parallel-installable?  IOW, if a 64-bit build can't fuzz a 32-bit binary, it could be useful to install separate afl-fuzz-64 and afl-fuzz-32 and use alternatives or a subpackage with symlinks to make afl-fuzz itself work.

I'll try to review for real later today.

Comment 8 Andy Lutomirski 2014-11-14 06:57:58 UTC
It looks like parallel-installing the 64-bit and 32-bit versions would be quite useful.  That would mostly involve moving everything to %{_libdir}, possibly all in a subpackage, and having a separate package with symlinks.  The arch packages should possibly also install an afl-fuzz-64 or afl-fuzz-32 symlink in %{_bindir}, too.  (Feel free to disagree with me here.)

I'm ambivalent about the sed vs make args.  I think make args would be nicer (as noted above).

The source URL is actively problematic.  Downloading it right now results in a tarball that is materially different (docs only, fortunately) from the one in your SRPM.  Can you use a different URL or none at all and ask upstream to provide usable download links?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided in
  the spec URL.
  Note: Upstream MD5sum check error, diff is in /home/luto/devel/fedora/afl
  /american-fuzzy-lop/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: sed
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 4 files have unknown license.
     Detailed output of licensecheck in /home/luto/devel/fedora/afl/american-
     fuzzy-lop/licensecheck.txt
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/afl

^^^ The package must own %{_libdir}/afl

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/afl
[!]: %build honors applicable compiler flags or justifies otherwise.

^^^ %{optflags} isn't being honored.  Something like make CFLAGS="%{optflags}" could work.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.

I think that BR: sed is unnecessary, though.

[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.

It does require it, and it's there.

[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 686080 bytes in 25 files.
[ ]: Package complies to the Packaging Guidelines

See notes above

[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Uses parallel make %{?_smp_mflags} macro.

Justified in the spec.

[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.

Will test tomorrow.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.


[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: american-fuzzy-lop-0.45b-1.fc20.x86_64.rpm
          american-fuzzy-lop-0.45b-1.fc20.src.rpm
american-fuzzy-lop.x86_64: W: spelling-error Summary(en_US) fuzzer -> fuzzier, fuzzes, fuzzed
american-fuzzy-lop.x86_64: W: spelling-error %description -l en_US corpuses -> corpses, corpus's, corp uses
american-fuzzy-lop.x86_64: W: spelling-error %description -l en_US fuzzers -> fuzzes, buzzers, Fuzzbuster

Yay for the stock dictionaries.

american-fuzzy-lop.x86_64: E: arch-dependent-file-in-usr-share /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr2.elf
american-fuzzy-lop.x86_64: E: statically-linked-binary /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr2.elf
american-fuzzy-lop.x86_64: E: missing-PT_GNU_STACK-section /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr2.elf
american-fuzzy-lop.x86_64: E: arch-dependent-file-in-usr-share /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr.elf
american-fuzzy-lop.x86_64: E: statically-linked-binary /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr.elf
american-fuzzy-lop.x86_64: E: missing-PT_GNU_STACK-section /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr.elf

There are, amusingly, all false positives :)

american-fuzzy-lop.x86_64: W: file-not-utf8 /usr/share/doc/american-fuzzy-lop/samples/strings-stack-overflow
american-fuzzy-lop.x86_64: W: file-not-utf8 /usr/share/doc/american-fuzzy-lop/samples/unzip-t-mem-corruption.zip
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-showmap
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-g++
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-fuzz
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-gcc
american-fuzzy-lop.x86_64: E: bad-crc-in-zip foo/ /usr/share/doc/american-fuzzy-lop/samples/unzip-t-mem-corruption.zip
american-fuzzy-lop.src: W: spelling-error Summary(en_US) fuzzer -> fuzzier, fuzzes, fuzzed
american-fuzzy-lop.src: W: spelling-error %description -l en_US corpuses -> corpses, corpus's, corp uses
american-fuzzy-lop.src: W: spelling-error %description -l en_US fuzzers -> fuzzes, buzzers, Fuzzbuster
american-fuzzy-lop.src: W: spelling-error %description -l en_US afl -> fl, ail, aft

Nothing to see here.

american-fuzzy-lop.src: W: file-size-mismatch afl.tgz = 662910, http://lcamtuf.coredump.cx/afl.tgz = 663175

As mentioned above, this seems to be a real problem.

2 packages and 0 specfiles checked; 7 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint american-fuzzy-lop
american-fuzzy-lop.x86_64: W: spelling-error Summary(en_US) fuzzer -> fuzzier, fuzzes, fuzzed
american-fuzzy-lop.x86_64: W: spelling-error %description -l en_US corpuses -> corpses, corpus's, corp uses
american-fuzzy-lop.x86_64: W: spelling-error %description -l en_US fuzzers -> fuzzes, buzzers, Fuzzbuster
american-fuzzy-lop.x86_64: E: arch-dependent-file-in-usr-share /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr2.elf
american-fuzzy-lop.x86_64: W: ldd-failed /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr2.elf
american-fuzzy-lop.x86_64: E: statically-linked-binary /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr2.elf
american-fuzzy-lop.x86_64: E: missing-PT_GNU_STACK-section /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr2.elf
american-fuzzy-lop.x86_64: E: arch-dependent-file-in-usr-share /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr.elf
american-fuzzy-lop.x86_64: W: ldd-failed /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr.elf
american-fuzzy-lop.x86_64: E: statically-linked-binary /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr.elf
american-fuzzy-lop.x86_64: E: missing-PT_GNU_STACK-section /usr/share/doc/american-fuzzy-lop/samples/strings-bfd-badptr.elf
american-fuzzy-lop.x86_64: W: file-not-utf8 /usr/share/doc/american-fuzzy-lop/samples/strings-stack-overflow
american-fuzzy-lop.x86_64: W: file-not-utf8 /usr/share/doc/american-fuzzy-lop/samples/unzip-t-mem-corruption.zip
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-showmap
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-g++
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-fuzz
american-fuzzy-lop.x86_64: W: no-manual-page-for-binary afl-gcc
american-fuzzy-lop.x86_64: E: bad-crc-in-zip foo/ /usr/share/doc/american-fuzzy-lop/samples/unzip-t-mem-corruption.zip
1 packages and 0 specfiles checked; 7 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
american-fuzzy-lop (rpmlib, GLIBC filtered):
    gcc
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
american-fuzzy-lop:
    american-fuzzy-lop
    american-fuzzy-lop(x86-64)



Source checksums
----------------
http://lcamtuf.coredump.cx/afl.tgz :
  CHECKSUM(SHA256) this package     : 4bd6d85e691e3d196b2f1ac4c5de030e7be4f0fd3382d9272dff2e9d97c2e744
  CHECKSUM(SHA256) upstream package : 95742783f49945f889be3bebd9d3b4f7d2d9243d798b311d93217939c2e719d5
diff -r also reports differences


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rn ../american-fuzzy-lop-0.45b-1.fc21.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 9 Richard W.M. Jones 2014-11-14 08:40:24 UTC
Packaging up 32 & 64 bit variants seems like it's going
to be hard, especially if we add ARM support for which only
32 bit exists right now.  I'd prefer upstream to make changes
first to make that easier.  (I'd prefer upstream to make a lot of
other changes too -- using autotools would be a good start).

I'll mail him and ask him to use a sensible upstream
URL, as well as using git on googlecode.

Comment 10 David Tardon 2014-11-14 16:48:28 UTC
Could you include the experimental scripts in the package? Or at least those that seem useful, like minimization_script, crash_triage, distributed_fuzzing.

Comment 11 Richard W.M. Jones 2014-11-14 18:46:32 UTC
Michal has done some great stuff for us in 0.46b.  From his email to me:

  So, in afl 0.46b:

  - Added support for DESTDIR,
  - make -j nnn should work fine,
  - The whole USE_64BIT thing is gone, and the tool should just honor
    -m32 / -m64 directives when building code.

I will package that new version up later, plus the experimental
scripts.

Comment 12 Richard W.M. Jones 2014-11-14 19:18:03 UTC
Spec URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop.spec
SRPM URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop-0.46b-1.fc21.src.rpm

* Fri Nov 14 2014 Richard W.M. Jones <rjones@redhat.com> - 0.46b-1
- New upstream version 0.46b.
- Ditch USE_64BIT/CONF_64BIT.
- Package now owns afl_helper_path.
- Parallel builds now work, and make uses _smp_mflags.
- Uses CFLAGS optflags.
- Include (some) experimental scripts.

Comment 13 Richard W.M. Jones 2014-11-14 19:26:38 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8144827

Comment 14 Richard W.M. Jones 2014-11-15 07:57:27 UTC
Spec URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop.spec
SRPM URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop-0.47b-1.fc21.src.rpm

* Sat Nov 15 2014 Richard W.M. Jones <rjones@redhat.com> - 0.47b-1
- New upstream version 0.47b.
- Use stable Source URL.
- Remove parallel fix which is now upstream.

Comment 15 Pádraig Brady 2014-11-15 22:37:45 UTC
You'll need version 0.48b that fixes https://code.google.com/p/american-fuzzy-lop/issues/detail?id=13

Comment 16 Richard W.M. Jones 2014-11-15 23:13:07 UTC
Spec URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop.spec
SRPM URL: http://oirase.annexia.org/reviews/afl/american-fuzzy-lop-0.48b-1.fc21.src.rpm

* Sat Nov 15 2014 Richard W.M. Jones <rjones@redhat.com> - 0.48b-1
- New upstream version 0.48b.
- Fix: https://code.google.com/p/american-fuzzy-lop/issues/detail?id=13

Comment 17 Pádraig Brady 2014-11-16 05:27:39 UTC
Versions coming thick and fast. Up to 0.50b now :/

Comment 18 Andy Lutomirski 2014-11-16 16:01:05 UTC
Being the newest version isn't a review criterion as far as I know.

You've addressed all my comments except BR: sed, which is now even more unnecessary, since you aren't using sed.  Consider the package approved as long as you remove BR: sed before requesting the update.

*However*, I found a trivial bug:

$ afl-gcc 
afl-gcc 0.48b (Nov 16 2014 07:56:20) by <lcamtuf@google.com>

This is a helper application for afl-fuzz. It serves as a drop-in
replacement for gcc, letting you recompile third-party code with
the required runtime instrumentation. A common use pattern would be:

  CC=/usr/local/bin/afl-gcc ./configure

     ^^^^^^^^^^^^^^
       excuse me?

It's probably worth pinging upstream about that.  Fixing it would be trivial.

Comment 19 Richard W.M. Jones 2014-11-16 16:26:51 UTC
Yup, missed the fact that I had left that BR: sed in.  Now removed.
Also updated to 0.50b, which includes clang support, which I've
placed into a subpackage (to avoid having the main package
depend on clang).

Latest here: http://oirase.annexia.org/reviews/afl/

Comment 20 Richard W.M. Jones 2014-11-16 16:28:58 UTC
New Package SCM Request
=======================
Package Name: american-fuzzy-lop
Short Description: Practical, instrumentation-driven fuzzer for binary formats
Upstream URL: https://code.google.com/p/american-fuzzy-lop/
Owners: rjones
Branches: f20 f21
InitialCC:

Comment 21 Andy Lutomirski 2014-11-16 21:06:05 UTC
Trivial note: it's probably worth updating the URL.  Upstream moved a couple days ago.

Comment 22 Richard W.M. Jones 2014-11-16 21:09:37 UTC
New Package SCM Request
=======================
Package Name: american-fuzzy-lop
Short Description: Practical, instrumentation-driven fuzzer for binary formats
Upstream URL: http://lcamtuf.coredump.cx/afl/
Owners: rjones
Branches: f20 f21
InitialCC:

Comment 23 Gwyn Ciesla 2014-11-17 13:11:34 UTC
Git done (by process-git-requests).

Comment 24 Fedora Update System 2014-11-17 14:21:22 UTC
american-fuzzy-lop-0.50b-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/american-fuzzy-lop-0.50b-1.fc21

Comment 25 Fedora Update System 2014-11-17 14:21:39 UTC
american-fuzzy-lop-0.50b-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/american-fuzzy-lop-0.50b-1.fc20

Comment 26 Fedora Update System 2014-11-17 17:48:56 UTC
american-fuzzy-lop-0.50b-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/american-fuzzy-lop-0.50b-2.fc21

Comment 27 Fedora Update System 2014-11-17 17:49:54 UTC
american-fuzzy-lop-0.50b-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/american-fuzzy-lop-0.50b-2.fc20

Comment 28 Fedora Update System 2014-11-18 12:09:38 UTC
Package american-fuzzy-lop-0.50b-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing american-fuzzy-lop-0.50b-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15246/american-fuzzy-lop-0.50b-2.fc21
then log in and leave karma (feedback).

Comment 29 Fedora Update System 2014-11-27 08:34:47 UTC
american-fuzzy-lop-0.50b-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2014-12-06 10:11:56 UTC
american-fuzzy-lop-0.50b-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.